Subject: Re: bug#72528: 29.2; ispell considers that entries in the private ispell

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Aug 2024 08:23:49 +0300

tags 72528 notabug
close 72528
thanks

> From: Uwe Brauer <[email-masked]>
> Cc: Uwe Brauer <[email-masked]>, [email-masked]
> Date: Thu, 08 Aug 2024 21:47:26 +0200
> 
> > If it's really Ispell that you are using (not Aspell or Hunspell that
> > pretend to be Ispell), then you cannot use UTF-8, because Ispell
> > doesn't support it.  You must use 8-bit encoding such as Latin-1.
> 
> Ok I used (setq  ispell-program-name "ispell")
> 
> I tried now tried out aspell but then I receive 
> Debugger entered--Lisp error: (error "Error: The file \"/usr/lib/aspell/deutsch\" can not be opened for reading.")
>   signal(error ("Error: The file \"/usr/lib/aspell/deutsch\" can not be opened for reading."))
>   error("%s" "Error: The file \"/usr/lib/aspell/deutsch\" can not be opened for reading.")
>   ispell-init-process()
>   ispell-buffer-local-words()
>   ispell-accept-buffer-local-defs()
>   flyspell-accept-buffer-local-defs()
>   flyspell-word()
>   flyspell-post-command-hook()

You need to make sure the dictionaries you want to use are installed.
In this case, you seem to lack the dictionary for German.

> Hm I think I stick with latin-1.

As you wish.

Anyway, there's no bug here, so I'm closing this.